CURRICULUM VITAE -NL- **`Kshitij Chatterji`[NAME]** -NL- E-mail: **`kshitij.chatterji@gmail.com`[EMAILS_EMAIL]** -NL- Mobile No.: **`+91-9981009112`[PHONES_PHONE]** -NL- **`Career Objective`[SUMMARY_HEADING]** -NL- I seek to apply my knowledge in a highly challenging and continuously growing company that can provide me -NL- immense opportunities to grow intellectually, technically and professionally in concurrence with company’s goals -NL- and objectives. -NL- **`Experience Summary`[SUMMARY_HEADING]** -NL-  Overall 3 years of experience working as Backend Java Developer. -NL-  Currently working as Senior Software Engineer at Dailyhunt(Verse Innovation), Bangalore. -NL-  2 years working experience in **`Amdocs`[EMPLOYER_COMPANY_NAME]**, DVCI, Pune. -NL-  Worked as Senior Backend Java Developer at **`Policybazaar`[EMPLOYER_COMPANY_NAME]**, Gurgaon. -NL-  Worked as Full Stack Developer at **`Axslogic`[EMPLOYER_COMPANY_NAME]**, Gurgaon. -NL-  Worked as Software Developer for enhancing the code in Java and Shell scripting language and fixing the -NL- defects. -NL-  Developed scripts in Python to automate the manual work being done for analysis task in the project. -NL-  Created entire application from scratch single handedly using Java in Backend and Spring Boot -NL- framework. -NL- **`Technical Skills`[SKILLS_HEADING]** -NL-  Operating Systems: Windows, Linux and UNIX. -NL-  Programming languages known: Java, Python, C and Shell Scripting. -NL-  Other skills: Data structures, MySQL, MongoDB, Spring MVC, Spring Boot framework, Hibernate, -NL- Mybatis, Redis, jQuery, JavaScript, HTML and CSS. -NL- **`Academic Qualifications`[EDUCATION_HEADING]** -NL-  **`B.Tech`[EDUCATION_DEGREE]** from **`NIT-Bhopal`[EDUCATION_INSTITUTE]** in **`Computer Science and Engineering`[EDUCATION_COURSE]** with 7.55 GGPA in 2014. -NL-  Secured 87% in **`Higher Secondary Examination`[EDUCATION_DEGREE]** in C.B.S.E board from **`D.A.V Public School Panna`[EDUCATION_INSTITUTE]** (M.P). -NL-  Secured 86% in **`High School Examination`[EDUCATION_DEGREE]** in C.B.S.E board from **`D.A.V Public School Panna`[EDUCATION_INSTITUTE]** (M.P). -NL-  All India Engineering Entrance Exam (AIEEE) rank – 7964 -NL- **`Projects/Training undertaken`[OTHERS_HEADING]** -NL-  Minor Project during Graduation: Developed Android Application for college (**`NIT-Bhopal`[EDUCATION_INSTITUTE]** App). -NL-  Major Project during Graduation: Query based text summarization using k-mean clustering -NL-  Training: At HCL CAREER DEVELOPMENT CENTER, BHOPAL - Worked on the code to send and -NL- receive encrypted messages using steganography. -NL- **`Working Experience in Organizations`[WORK_EXPERIENCE_HEADING]** -NL- **`Dailyhunt(Verse Innoation)`[EMPLOYER_COMPANY_NAME]**: -NL- Project: Backend engine for serving ad to client app. -NL- Description: Worked for enhancing and adding new features to the backend engine that serves ad. -NL- Role : Senior Software Developer -NL- Skill Set : Python, Java, Spring Boot framework, Hibernate and MySQL. -NL- Tools : Eclipse IDE, GIT, Maven and MySQL Workbench. -NL- Contribution : -NL-  Added new feature for handling the Lead Campaigns. -NL-  Developed the logic for prediction of lead campaigns because of the delay in callback. -NL-  Simultaneously working to move a module written in PHP to Java. -NL- **`Policybazaar`[EMPLOYER_COMPANY_NAME]**: -NL- Project: Backend Java service for income tax return filing -NL- Description: Created the backend services in Java for Income Tax filing website. -NL- Role : Senior Software Developer -NL- Skill Set : Java, Spring Boot framework, Hibernate, MySQL and SOAP. -NL- Tools : Eclipse IDE, GIT, Maven, MySQL Workbench and SoapUI. -NL- Contribution : -NL-  Developed APIs in Java that will calculate the net income tax return based on income tax rules. -NL-  Developed the API that will sign the generated Xml document using USB token. -NL-  Developed the Java service that integrated with third party income tax India API for income tax filing. -NL-  Worked on generating SOAP requests and sending them to income tax wsdl for return submission. -NL- **`Axslogic`[EMPLOYER_COMPANY_NAME]**: -NL- Project: Web application for report coverage -NL- Description: Created the complete web application for showing the reports availability bases on data provided. -NL- Role : Full Stack Developer -NL- Skill Set : Java, Spring Boot framework, Mybatis, jQuery, HTML, CSS, JavaScript and H2 DB. -NL- Tools : Eclipse IDE, GIT, Maven, Gradle and Dbeaver. -NL- Contribution : -NL-  Development of web application using Spring boot framework using Mybatis for database connectivity. -NL-  Created front end for user to enter parameters for which report availability is to be fetched . -NL-  Implemented Spring boot security for user authentication. -NL- **`Amdocs`[EMPLOYER_COMPANY_NAME]**: -NL- Project: CSR AHT reduction -NL- Description: The project included predicting the reason of the customer calling to CRM (Customer Relationship -NL- Management) thereby reducing AHT (Average handling time). -NL- Role : Software Developer -NL- Skill Set : Java, Spring MVC framework, Hibernate, UNIX, SQL and Shell Scripting -NL- Tools : Putty, Toad, HP Quality Center, ASC and AMC. -NL- Contribution : -NL-  Looked into the defects raised in Quality Centre and worked for fixing the defects within the allotted time -NL-  Develop and enhance code in Java. -NL-  Develop plug-ins and back end scripts in Shell Scripting. -NL- **`Declaration`[OTHERS_HEADING]** -NL- I hereby declare that the above written particulars are true to the best of my knowledge and belief. I assure to work -NL- sincerely and prepared to do hard work duly abiding to organization. -NL- 